Subject: Re: DHCP and static configuration [printers]

From: Ira Mcdonald <[email-masked]>
Date: Mon, 13 Sep 1999 22:07:26 -0400

Hi Terry,                                     Monday (13 September 1999)

Thank you for harping on the printer example!

I'm unclear about your remarks about SLP printer URL definitions.  Are
you referring to the SLP WG work-in-progress?

    <draft-ietf-svrloc-printer-scheme-03.txt> - 19 February 1999

If so, that document has been revised (twice) to align it with the IPP
(Internet Printing Protocol) specifications (IPP/1.0 is RFC 2565/2566
and IPP/1.1 is work-in-progress) for directory entries for IPP printers.

There has been no interoperability testing.  The IPP WG hasn't gotten
that far in their bake-offs yet.  And the SLP WG doesn't *seem* to be
too thickly populated with printer vendors.

Comments from the SLP WG side on the 'printer:' abstract service would
be very welcome.  Virtually all the review in the last year has come
from the IPP WG.

As I've stated before, it's my intent to write an equivalent LDAP schema
in the next draft of the SLP 'printer:' template (following the I-D on
conversion by James Kempf and Pete St. Pierre).  Are you interested in
such a document?  Want to contribute?

Cheers,
- Ira McDonald (co-editor of SLP 'printer:' template)
  High North Inc
  906-494-2697/2434

> --------------------------------------------------------------------
> Date: Mon, 13 Sep 1999 12:58:18 -0700
> From: Terry Lambert <[email-masked]>
> To: James Kempf <[email-masked]>
> CC: [email-masked], [email-masked]
> Subject: Re: DHCP and static configuration
> 
> [snip...]
> 
> I tend to harp on the printer example.  That's because it's
> a good example.  It's the most likely think you are going to
> plug in after you plug two computers into a shared hub.  It's
> also the level at which this stuff needs to work for what
> appears to be the majority of installations.  There are at
> least ten thousand small businesses for every I.B.M. or Sun.
> 
> [snip...]
> 
> It's relatively trivial to translate any MIB into an
> LDAP schema, so in as much as MIBs are standardized,
> there exists standardized schema which can be used with
> LDAP.
> 
> One big issue here, and one which is apparently ignored in
> the SLP printer URL definitions I've seen so far, is that
> there really hasn't been a lot of vendor interoperability
> work done.  As with SNMP MIBs, the use of vendor defined
> per device schema is one of the bad things Which Must Die.
> 
> -- Terry Lambert
> -- Whistle Communications, Inc., an I.B.M. Company
> -- [email-masked]